STRXFRM(3)

NAME
strxfrm - string transformation

SYNOPSIS
#include <string.h>

size_t strxfrm(char *dest, const char *src, size_t n);

DESCRIPTION
The strxfrm() function transforms the src string into a form such that the result of strcmp() on two strings that have been transformed with strxfrm() is the same as the result of strcoll() on the two strings before their transformation. The first n characters of the transformed string are placed in dest. The transformation is based on the program's current locale for category LC_COLLATE. (See setlocale(3)).

RETURN VALUE
The strxfrm() function returns the number of bytes required to store the transformed string in dest excluding the terminating `\0' character. If the value returned is n or more, the contents of dest are indeterminate.

CONFORMING TO
SVID 3, BSD 4.3, ISO 9899

NOTES
The Linux C Library currently hasn't implemented the complete POSIX-collating.

In the "POSIX" or "C" locales strxfrm() is equivalent to copying the string with strncpy().

SEE ALSO
bcmp(3), memcmp(3), strcasecmp(3), strcmp(3), strcoll(3), setlocale(3)